package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.List;
import java.util.Date;



/**
* @title: 干部部门
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
public class UpdateCadreDeptDto extends AddCadreDeptDto {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;

    /**
     * 部门指导教师用户编号
     */
    @ApiModelProperty("部门指导教师用户编号")
    private Long instructorUserId;
}
