package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 干部候选人分页查询入参
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WfCadreCandidatePageDto extends PageInput {
    /**
     * 干部部门编号
     */
    @ApiModelProperty("干部部门编号")
    private Long cadreDeptId;
    /**
     * 申请人姓名
     */
    @ApiModelProperty("申请人姓名")
    private String applicantUserIdCN;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;

}
