package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.WfCadreCandidatePageDto;
import com.xjrsoft.module.student.entity.WfCadreCandidate;
import com.xjrsoft.module.student.vo.WfCadreCandidatePageVo;
import com.xjrsoft.module.teacher.dto.AttendancePersonnelPageDto;
import com.xjrsoft.module.teacher.vo.AttendancePersonnelPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 干部候选人
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Mapper
public interface WfCadreCandidateMapper extends MPJBaseMapper<WfCadreCandidate> {
    IPage<WfCadreCandidatePageVo> getListPage(IPage<WfCadreCandidatePageDto> page, WfCadreCandidatePageDto dto);
}
