package com.xjrsoft.module.student.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.common.page.ConventPage;
import com.xjrsoft.module.student.dto.WfCadreCandidatePageDto;
import com.xjrsoft.module.student.entity.WfCadreCandidate;
import com.xjrsoft.module.student.mapper.WfCadreCandidateMapper;
import com.xjrsoft.module.student.service.IWfCadreCandidateService;
import com.xjrsoft.module.student.vo.WfCadreCandidatePageVo;
import com.xjrsoft.module.teacher.mapper.AttendancePersonnelMapper;
import com.xjrsoft.module.teacher.vo.AttendancePersonnelPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

/**
* @title: 干部候选人
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class WfCadreCandidateServiceImpl extends MPJBaseServiceImpl<WfCadreCandidateMapper, WfCadreCandidate> implements IWfCadreCandidateService {

    private final WfCadreCandidateMapper wfCadreCandidateMapper;
    @Override
    public IPage<WfCadreCandidatePageVo> getListPage(WfCadreCandidatePageDto dto) {
        return wfCadreCandidateMapper.getListPage(ConventPage.getPage(dto),dto);
    }
}
